LOWDOWN_METAQ_FREE(3)

NAME
lowdown_metaq_free - free rendered metadata key-value pairs

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
void
lowdown_metaq_free(struct lowdown_metaq *q);

DESCRIPTION
Frees rendered metadata q as created by lowdown_buf(3), lowdown_buf_diff(3), lowdown_file(3), lowdown_file_diff(3), or the low-level rendering functions.

If q is NULL, the function does nothing.

SEE ALSO
lowdown(3), lowdown_doc_new(3)